Skip to main content

Marketplace Captures with a Foreign Retailer


The Barclays processor require marketplaces to identify foreign retail transactions when the marketplace and issuer are in the European Economic Area (EEA), the U.K., and Gibraltar and the retailer is in a different country. For marketplace transactions, the marketplace is the merchant and the retailer is the sub-merchant. Marketplace foreign retail transactions are identified in the on the transaction details page.

The Barclays and processor require marketplaces to identify foreign retail transactions when the marketplace and issuer are in the European Economic Area (EEA), the U.K., and Gibraltar and the retailer is in a different country. For marketplace transactions, the marketplace is the merchant and the retailer is the sub-merchant. Marketplace foreign retail transactions are identified in the on the transaction details page.

The processor require marketplaces to identify foreign retail transactions when the marketplace and issuer are in the European Economic Area (EEA), the U.K., and Gibraltar and the retailer is in a different country. For marketplace transactions, the marketplace is the merchant and the retailer is the sub-merchant. Marketplace foreign retail transactions are identified in the on the transaction details page.

Supported Processors

  • Barclays
  • Visa Platform Connect
  • Barclays

Fields Specific to This Use Case

These fields are required for this use case:

FieldDescription
aggregatorInformation.subMerchant.countrySet this value to the retailer country.
merchantInformation.merchantDescriptor.countrySet this value to the marketplace country.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{    "aggregatorInformation": {        "subMerchant": {            "country": "AU"        }    },    "clientReferenceInformation": {        "code": "ABC123",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "merchantInformation": {        "merchantDescriptor": {            "country": "GB"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "GBP"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/6662994431376681303954/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/6662994431376681303954"        }    },    "clientReferenceInformation": {        "code": "1666299443215"    },    "id": "6662994431376681303954",    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "GBP"        }    },    "reconciliationId": "66535942B9CGT52U",    "status": "PENDING",    "submitTimeUtc": "2024-10-20T20:57:23Z"}

Required Fields

These fields are required to capture a marketplace authorization with a foreign retailer:

FieldDescription
aggregatorInformation.subMerchant.countrySet this field to the retailer country.
clientReferenceInformation.codeThis field value maps from the original authorization, sale, or credit transaction.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
merchantInformation.merchantDescriptor.countrySet this field to the marketplace country.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: September 29, 2026